Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.atom
Interface OutgoingMessage

All Known Implementing Classes:
  HttpResponseMessage

public interface OutgoingMessage

Author:
  R. Alexander Milowski

Method Summary
`java.io.OutputStream` | `getOutputStream()`
`java.io.Writer` | `getWriter()`
`void` | `setContentType(java.lang.String mimeType)`
`void` | `setHeader(java.lang.String key, java.lang.String value)`
`void` | `setStatusCode(int code)`

Method Detail

### setStatusCode

    public void setStatusCode(int code)

### setContentType

    public void setContentType(java.lang.String mimeType)

### setHeader

    public void setHeader(java.lang.String key,
                          java.lang.String value)

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getWriter

    public java.io.Writer getWriter()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.